#include <iostream>


using namespace std;



int main(){

  ios_base::sync_with_stdio(false);
  cin.tie(NULL);

  long long poSetu;
  long long poena;

  cin >> poena >> poSetu;

  if (poSetu * 3 > poena){
    cout << -1;
    return 0;
  }

  long long prviSet1 = poSetu;
  long long prviSet2;
  long long drugiSet1 = poSetu;
  long long drugiSet2;
  long long treciSet1 = poSetu;
  long long treciSet2;

  poena -= 3 * poSetu;

  if (poena / 3 < poSetu - 1){
    prviSet2 = poena / 3;
    drugiSet2 = prviSet2;
    treciSet2 = poena - 2 * drugiSet2;

    cout << prviSet1 << " " << prviSet2 << endl;
    cout << drugiSet1 << " " << drugiSet2 << endl;
    cout << treciSet1 << " " << treciSet2 << endl;
    return 0;
  }

  prviSet2 = poSetu - 2;
  poena -= poSetu;

  if (poena < poSetu - 1){
    drugiSet2 = poena;
    treciSet2 = 0;

    cout << prviSet1 << " " << prviSet2 << endl;
    cout << drugiSet1 << " " << drugiSet2 << endl;
    cout << treciSet1 << " " << treciSet2 << endl;
    return 0;
  }

  drugiSet2 = poSetu - 2;
  poena -= drugiSet2;
  
  if (poena < poSetu - 1){
    treciSet2 = poena;

    cout << prviSet1 << " " << prviSet2 << endl;
    cout << drugiSet1 << " " << drugiSet2 << endl;
    cout << treciSet1 << " " << treciSet2 << endl;
    return 0;
  }

  poena += poSetu;

  if (poena & 1){ //ako je neparan broj poena
    prviSet2 -= 1;
    ++poena;
  }
  treciSet2 = poena / 2;
  treciSet1 = treciSet2 + 2;

  cout << prviSet1 << " " << prviSet2 << endl;
  cout << drugiSet1 << " " << drugiSet2 << endl;
  cout << treciSet1 << " " << treciSet2 << endl;
  return 0;

}